WordPress.org

Ready to get started?Download WordPress

Forums

YITH WooCommerce Wishlist
[resolved] Does this work with Woocommerce 1.6? (5 posts)

  1. Trevor Gehman
    Member
    Posted 11 months ago #

    Does this plugin work with WooCoomerce versions prior to 2.x? I have version 1.6 and want to use it.

    http://wordpress.org/plugins/yith-woocommerce-wishlist/

  2. Trevor Gehman
    Member
    Posted 11 months ago #

    Well I tried the plugin on my installation with WooCommerce 1.6.6 and it doesn't seem to work fully... the Wishlist page does not display any products (it just stops loading the table after the header row) so that seems to indicate some PHP error.

    My guess is that it isn't made for Woocommerce prior to 2.x...

  3. Trevor Gehman
    Member
    Posted 11 months ago #

    Well, it was actually a simple fix to get this to work in older versions of WooCommerce...

    Change this line in templates/wishlist.php:

    $product_obj = get_product( $values['prod_id'] );

    to:

    if ( function_exists( 'get_product' ) )
    	$product_obj = get_product( $values['prod_id'] );
    else
    	$product_obj = new WC_Product( $values['prod_id'] );
  4. Meevi
    Member
    Posted 11 months ago #

    This didn't work for me :(

  5. Trevor Gehman
    Member
    Posted 10 months ago #

    You may need to look through all the files for any instance of the get_product() function and change them from:

    $product_obj = get_product(

    to:

    $product_obj = new WC_Product(

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.